import { configureStore } from "@reduxjs/toolkit";
import cartReducer from './cartSlice'
import authReducer from './authSlice'
import adminMenuReducer from './adminMenuSlice'
import { categoriesApi } from './categoriesApi'
import { ImgUploadApi } from "./ImgUploadApi";

 
export default configureStore({
    reducer:{
        cart: cartReducer,
        auth: authReducer,
        adminMenu: adminMenuReducer,
        [categoriesApi.reducerPath]: categoriesApi.reducer,
        [ImgUploadApi.reducerPath]: ImgUploadApi.reducer,
    },
        middleware: (getDefaultMiddleware) => getDefaultMiddleware().concat(categoriesApi.middleware).concat(ImgUploadApi.middleware)
})

